diff --git a/wwjcloud/src/common/addon/controllers/adminapi/AddonDevelopController.ts b/wwjcloud/src/common/addon/controllers/adminapi/AddonDevelopController.ts
index 7f21124..696819c 100644
--- a/wwjcloud/src/common/addon/controllers/adminapi/AddonDevelopController.ts
+++ b/wwjcloud/src/common/addon/controllers/adminapi/AddonDevelopController.ts
@@ -11,10 +11,12 @@ import {
 } from '@nestjs/common';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
 import { RolesGuard } from '../../../auth/guards/RolesGuard';
+import { Roles } from '../../../auth/decorators/RolesDecorator';
 import { AddonDevelopService } from '../../services/admin/AddonDevelopService';
 
 @Controller('adminapi/addon/develop')
 @UseGuards(JwtAuthGuard, RolesGuard)
+@Roles('admin')
 export class AddonDevelopController {
   constructor(private readonly addonDevelopService: AddonDevelopService) {}
 
diff --git a/wwjcloud/src/common/addon/controllers/adminapi/AppController.ts b/wwjcloud/src/common/addon/controllers/adminapi/AppController.ts
index c41e8ca..bc95d84 100644
--- a/wwjcloud/src/common/addon/controllers/adminapi/AppController.ts
+++ b/wwjcloud/src/common/addon/controllers/adminapi/AppController.ts
@@ -11,10 +11,12 @@ import {
 } from '@nestjs/common';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
 import { RolesGuard } from '../../../auth/guards/RolesGuard';
+import { Roles } from '../../../auth/decorators/RolesDecorator';
 import { AddonAppService } from '../../services/admin/AddonAppService';
 
 @Controller('adminapi/addon/app')
 @UseGuards(JwtAuthGuard, RolesGuard)
+@Roles('admin')
 export class AppController {
   constructor(private readonly addonAppService: AddonAppService) {}
 
diff --git a/wwjcloud/src/common/addon/controllers/adminapi/BackupController.ts b/wwjcloud/src/common/addon/controllers/adminapi/BackupController.ts
index cd435f0..c5a774e 100644
--- a/wwjcloud/src/common/addon/controllers/adminapi/BackupController.ts
+++ b/wwjcloud/src/common/addon/controllers/adminapi/BackupController.ts
@@ -10,10 +10,12 @@ import {
 } from '@nestjs/common';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
 import { RolesGuard } from '../../../auth/guards/RolesGuard';
+import { Roles } from '../../../auth/decorators/RolesDecorator';
 import { BackupService } from '../../services/admin/BackupService';
 
 @Controller('adminapi/addon/backup')
 @UseGuards(JwtAuthGuard, RolesGuard)
+@Roles('admin')
 export class BackupController {
   constructor(private readonly backupService: BackupService) {}
 
diff --git a/wwjcloud/src/common/addon/controllers/adminapi/UpgradeController.ts b/wwjcloud/src/common/addon/controllers/adminapi/UpgradeController.ts
index a76aff8..b724eab 100644
--- a/wwjcloud/src/common/addon/controllers/adminapi/UpgradeController.ts
+++ b/wwjcloud/src/common/addon/controllers/adminapi/UpgradeController.ts
@@ -18,7 +18,14 @@ import { AddonService } from '../../services/admin/AddonService';
 export class UpgradeController {
   constructor(private readonly addonService: AddonService) {}
 
-  @Post('upgrade/:addon?')
+  @Post('upgrade')
+  async upgradeNoAddon(
+    @Body() dto: { is_need_backup?: boolean; is_need_cloudbuild?: boolean },
+  ) {
+    return this.addonService.upgrade('', dto);
+  }
+
+  @Post('upgrade/:addon')
   async upgrade(
     @Param('addon') addon: string,
     @Body() dto: { is_need_backup?: boolean; is_need_cloudbuild?: boolean },
@@ -31,7 +38,12 @@ export class UpgradeController {
     return this.addonService.executeUpgrade();
   }
 
-  @Get('upgrade-content/:addon?')
+  @Get('upgrade-content')
+  async getUpgradeContentNoAddon() {
+    return this.addonService.getUpgradeContent('');
+  }
+
+  @Get('upgrade-content/:addon')
   async getUpgradeContent(@Param('addon') addon: string) {
     return this.addonService.getUpgradeContent(addon);
   }
@@ -41,7 +53,12 @@ export class UpgradeController {
     return this.addonService.getUpgradeTask();
   }
 
-  @Get('upgrade-pre-check/:addon?')
+  @Get('upgrade-pre-check')
+  async upgradePreCheckNoAddon() {
+    return this.addonService.upgradePreCheck('');
+  }
+
+  @Get('upgrade-pre-check/:addon')
   async upgradePreCheck(@Param('addon') addon: string) {
     return this.addonService.upgradePreCheck(addon);
   }
diff --git a/wwjcloud/src/common/admin/controllers/adminapi/AdminController.ts b/wwjcloud/src/common/admin/controllers/adminapi/AdminController.ts
index 8db3dd9..e097ef2 100644
--- a/wwjcloud/src/common/admin/controllers/adminapi/AdminController.ts
+++ b/wwjcloud/src/common/admin/controllers/adminapi/AdminController.ts
@@ -10,6 +10,7 @@ import {
   UseGuards,
   UsePipes,
   ValidationPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import {
   ApiTags,
@@ -52,8 +53,11 @@ export class AdminController {
   @ApiResponse({ status: 200, description: '获取管理员列表成功' })
   async getAdminList(
     @Query() query: QueryAdminDto,
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     return await this.adminService.getAdminList(query, site_id);
   }
 
@@ -63,8 +67,11 @@ export class AdminController {
   @ApiResponse({ status: 200, description: '获取管理员详情成功' })
   async getAdminDetail(
     @Param('id') id: number,
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     return await this.adminService.getAdminDetail(id, site_id);
   }
 
@@ -75,8 +82,11 @@ export class AdminController {
   async updateAdmin(
     @Param('id') id: number,
     @Body() updateAdminDto: UpdateAdminDto,
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     return await this.adminService.updateAdmin(id, updateAdminDto, site_id);
   }
 
@@ -86,8 +96,11 @@ export class AdminController {
   @ApiResponse({ status: 200, description: '管理员删除成功' })
   async deleteAdmin(
     @Param('id') id: number,
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     await this.adminService.deleteAdmin(id, site_id);
     return { message: '删除成功' };
   }
@@ -98,8 +111,11 @@ export class AdminController {
   @ApiResponse({ status: 200, description: '批量删除成功' })
   async batchDeleteAdmins(
     @Body() data: { uids: number[] },
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     await this.adminService.batchDeleteAdmins(data.uids, site_id);
     return { message: '批量删除成功' };
   }
@@ -110,8 +126,11 @@ export class AdminController {
   @ApiResponse({ status: 200, description: '批量更新状态成功' })
   async batchUpdateAdminStatus(
     @Body() data: BatchUpdateAdminStatusDto,
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     await this.adminService.batchUpdateAdminStatus(
       data.uids,
       data.status,
@@ -126,8 +145,11 @@ export class AdminController {
   @ApiResponse({ status: 200, description: '批量分配角色成功' })
   async batchAssignAdminRoles(
     @Body() data: BatchAssignRoleDto,
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     await this.adminService.batchAssignAdminRoles(
       data.uids,
       data.role_ids,
@@ -143,8 +165,11 @@ export class AdminController {
   async resetAdminPassword(
     @Param('id') id: number,
     @Body() resetPasswordDto: ResetAdminPasswordDto,
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     await this.adminService.resetAdminPassword(id, resetPasswordDto, site_id);
     return { message: '密码重置成功' };
   }
@@ -156,8 +181,11 @@ export class AdminController {
   async updateAdminStatus(
     @Param('id') id: number,
     @Body() data: { status: number },
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     await this.adminService.updateAdminStatus(id, data.status, site_id);
     return { message: '状态更新成功' };
   }
@@ -169,8 +197,11 @@ export class AdminController {
   async assignAdminRoles(
     @Param('id') id: number,
     @Body() data: { role_ids: string },
-    @Query('site_id') site_id: number = 0,
+    @Query('site_id') site_id: number,
   ) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     await this.adminService.assignAdminRoles(id, data.role_ids, site_id);
     return { message: '角色分配成功' };
   }
@@ -179,7 +210,10 @@ export class AdminController {
   @Roles('admin')
   @ApiOperation({ summary: '导出管理员列表' })
   @ApiResponse({ status: 200, description: '导出成功' })
-  async exportAdmins(@Query('site_id') site_id: number = 0) {
+  async exportAdmins(@Query('site_id') site_id: number) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     return await this.adminService.exportAdmins(site_id);
   }
 
@@ -187,7 +221,10 @@ export class AdminController {
   @Roles('admin')
   @ApiOperation({ summary: '获取管理员统计信息' })
   @ApiResponse({ status: 200, description: '获取统计信息成功' })
-  async getAdminStats(@Query('site_id') site_id: number = 0) {
+  async getAdminStats(@Query('site_id') site_id: number) {
+    if (!site_id) {
+      throw new UnauthorizedException('site_id is required');
+    }
     return await this.adminService.getAdminStats(site_id);
   }
 }
diff --git a/wwjcloud/src/common/admin/entities/SysUser.ts b/wwjcloud/src/common/admin/entities/SysUser.ts
index 878a2d0..204dbc5 100644
--- a/wwjcloud/src/common/admin/entities/SysUser.ts
+++ b/wwjcloud/src/common/admin/entities/SysUser.ts
@@ -1,10 +1,9 @@
-import { Entity, PrimaryGeneratedColumn, Column, OneToMany } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
+import { Entity, PrimaryGeneratedColumn, Column, OneToMany, CreateDateColumn, UpdateDateColumn, DeleteDateColumn } from 'typeorm';
 import { SysUserRole } from './SysUserRole';
 import { SysUserLog } from './SysUserLog';
 
 @Entity('sys_user')
-export class SysUser extends BaseEntity {
+export class SysUser {
   @PrimaryGeneratedColumn({ name: 'uid' })
   uid: number;
 
@@ -32,6 +31,18 @@ export class SysUser extends BaseEntity {
   @Column({ name: 'status', type: 'tinyint', default: 1 })
   status: number;
 
+  @Column({ name: 'is_del', type: 'tinyint', default: 0 })
+  is_del: number;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0 })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0 })
+  update_time: number;
+
+  @DeleteDateColumn({ name: 'delete_time', type: 'int', default: 0 })
+  delete_time: number;
+
   // 关联关系
   @OneToMany(() => SysUserRole, (userRole) => userRole.user)
   user_role: SysUserRole[];
diff --git a/wwjcloud/src/common/admin/entities/SysUserRole.ts b/wwjcloud/src/common/admin/entities/SysUserRole.ts
index 145f96e..7f12d06 100644
--- a/wwjcloud/src/common/admin/entities/SysUserRole.ts
+++ b/wwjcloud/src/common/admin/entities/SysUserRole.ts
@@ -23,19 +23,16 @@ export class SysUserRole {
   @Column({ name: 'role_ids', type: 'varchar', length: 255, default: '' })
   role_ids: string;
 
-  @CreateDateColumn({ name: 'create_time', type: 'int' })
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '添加时间' })
   create_time: number;
 
-  @UpdateDateColumn({ name: 'update_time', type: 'int' })
-  update_time: number;
-
-  @Column({ name: 'is_admin', type: 'int', default: 0 })
+  @Column({ name: 'is_admin', type: 'int', default: 0, comment: '是否是超级管理员' })
   is_admin: number;
 
-  @Column({ name: 'status', type: 'int', default: 1 })
+  @Column({ name: 'status', type: 'int', default: 1, comment: '状态' })
   status: number;
 
-  @Column({ name: 'delete_time', type: 'int', default: 0 })
+  @Column({ name: 'delete_time', type: 'int', default: 0, comment: '删除时间' })
   delete_time: number;
 
   // 关联关系
diff --git a/wwjcloud/src/common/auth/auth.module.ts b/wwjcloud/src/common/auth/auth.module.ts
index 8ddf693..409e27c 100644
--- a/wwjcloud/src/common/auth/auth.module.ts
+++ b/wwjcloud/src/common/auth/auth.module.ts
@@ -1,8 +1,9 @@
 import { Module, forwardRef, Global } from '@nestjs/common';
 import { PassportModule } from '@nestjs/passport';
 import { TypeOrmModule } from '@nestjs/typeorm';
-import { ConfigModule } from '@nestjs/config';
 import { AuthToken } from './entities/AuthToken';
+import { SysConfig } from '../settings/entities/sys-config.entity';
+import { SysUser } from '../admin/entities/SysUser';
 import { AuthService } from './services/AuthService';
 import { AuthController } from './controllers/AuthController';
 import { LoginApiController } from './controllers/api/LoginApiController';
@@ -21,6 +22,7 @@ import { CoreLoginConfigService } from './services/core/CoreLoginConfigService';
 import { JwtAuthGuard } from './guards/JwtAuthGuard';
 import { RolesGuard } from './guards/RolesGuard';
 import { JwtGlobalModule } from './jwt.module';
+import { RedisProvider } from '../../vendor/redis/redis.provider';
 
 // 导入Admin和Member模块
 import { AdminModule } from '../admin/admin.module';
@@ -30,45 +32,46 @@ import { MemberModule } from '../member/member.module';
 @Module({
   imports: [
     PassportModule,
-    TypeOrmModule.forFeature([AuthToken]),
+    TypeOrmModule.forFeature([AuthToken, SysConfig, SysUser]),
     JwtGlobalModule,
     // 导入Admin和Member模块以使用其服务
     forwardRef(() => AdminModule),
     forwardRef(() => MemberModule),
   ],
   providers: [
-    AuthService, 
-    LoginApiService, 
+    AuthService,
+    LoginApiService,
     LoginConfigApiService,
     RegisterApiService,
-    CaptchaService, 
+    CaptchaService,
     LoginConfigService,
-    CoreAuthService, 
-    CoreCaptchaService, 
+    CoreAuthService,
+    CoreCaptchaService,
     CoreLoginConfigService,
-    JwtAuthGuard, 
-    RolesGuard
+    RedisProvider,
+    JwtAuthGuard,
+    RolesGuard,
   ],
   controllers: [
-    AuthController, 
-    LoginApiController, 
+    AuthController,
+    LoginApiController,
     LoginConfigApiController,
     RegisterApiController,
-    CaptchaController, 
-    LoginConfigController
+    CaptchaController,
+    LoginConfigController,
   ],
   exports: [
-    AuthService, 
-    LoginApiService, 
+    AuthService,
+    LoginApiService,
     LoginConfigApiService,
     RegisterApiService,
-    CaptchaService, 
+    CaptchaService,
     LoginConfigService,
-    CoreAuthService, 
-    CoreCaptchaService, 
+    CoreAuthService,
+    CoreCaptchaService,
     CoreLoginConfigService,
-    JwtAuthGuard, 
-    RolesGuard
+    JwtAuthGuard,
+    RolesGuard,
   ],
 })
 export class AuthModule {}
diff --git a/wwjcloud/src/common/auth/controllers/adminapi/CaptchaController.ts b/wwjcloud/src/common/auth/controllers/adminapi/CaptchaController.ts
index 6f80738..fd4fc33 100644
--- a/wwjcloud/src/common/auth/controllers/adminapi/CaptchaController.ts
+++ b/wwjcloud/src/common/auth/controllers/adminapi/CaptchaController.ts
@@ -15,23 +15,20 @@ export class CaptchaController {
   @ApiOperation({ summary: '创建验证码' })
   @ApiResponse({ status: 200, description: '创建成功' })
   async create(@Query() query: CaptchaCreateDto) {
-    const data = await this.captchaService.create(query);
-    return { code: 200, message: '创建成功', data };
+    return await this.captchaService.create(query);
   }
 
   @Post('check')
   @ApiOperation({ summary: '一次校验验证码' })
   @ApiResponse({ status: 200, description: '校验成功' })
   async check(@Body() body: CaptchaCheckDto) {
-    const data = await this.captchaService.check(body);
-    return { code: 200, message: '校验成功', data };
+    return await this.captchaService.check(body);
   }
 
   @Post('verification')
   @ApiOperation({ summary: '二次校验验证码' })
   @ApiResponse({ status: 200, description: '校验成功' })
   async verification(@Body() body: CaptchaVerificationDto) {
-    const data = await this.captchaService.verification(body);
-    return { code: 200, message: '校验成功', data };
+    return await this.captchaService.verification(body);
   }
 }
diff --git a/wwjcloud/src/common/auth/controllers/adminapi/LoginConfigController.ts b/wwjcloud/src/common/auth/controllers/adminapi/LoginConfigController.ts
index 2ee169f..161d5b1 100644
--- a/wwjcloud/src/common/auth/controllers/adminapi/LoginConfigController.ts
+++ b/wwjcloud/src/common/auth/controllers/adminapi/LoginConfigController.ts
@@ -1,10 +1,11 @@
-import { Controller, Get, Post, Body, UseGuards } from '@nestjs/common';
+import { Controller, Get, Post, Body, UseGuards, Request, UnauthorizedException } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse } from '@nestjs/swagger';
 import { JwtAuthGuard } from '../../guards/JwtAuthGuard';
 import { RolesGuard } from '../../guards/RolesGuard';
 import { Roles } from '../../decorators/RolesDecorator';
 import { LoginConfigService } from '../../services/admin/LoginConfigService';
 import { LoginConfigDto } from '../../dto/admin/LoginConfigDto';
+import { LoginConfig } from '../../services/core/CoreLoginConfigService';
 
 @ApiTags('登录配置管理')
 @Controller('adminapi/auth/login-config')
@@ -16,16 +17,22 @@ export class LoginConfigController {
   @Get('config')
   @ApiOperation({ summary: '获取登录设置' })
   @ApiResponse({ status: 200, description: '获取成功' })
-  async getConfig() {
-    const data = await this.loginConfigService.getConfig();
-    return { code: 200, message: '获取成功', data };
+  async getConfig(@Request() req: any): Promise<LoginConfig> {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.loginConfigService.getConfig(siteId);
   }
 
   @Post('config')
   @ApiOperation({ summary: '设置登录配置' })
   @ApiResponse({ status: 200, description: '设置成功' })
-  async setConfig(@Body() body: LoginConfigDto) {
-    const data = await this.loginConfigService.setConfig(body);
-    return { code: 200, message: '设置成功', data };
+  async setConfig(@Request() req: any, @Body() body: LoginConfigDto) {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.loginConfigService.setConfig(body, siteId);
   }
 }
diff --git a/wwjcloud/src/common/auth/controllers/api/LoginConfigApiController.ts b/wwjcloud/src/common/auth/controllers/api/LoginConfigApiController.ts
index 96d6671..5fbc282 100644
--- a/wwjcloud/src/common/auth/controllers/api/LoginConfigApiController.ts
+++ b/wwjcloud/src/common/auth/controllers/api/LoginConfigApiController.ts
@@ -8,6 +8,7 @@ import {
 } from '@nestjs/common';
 import { Public } from '../../../auth/decorators/public.decorator';
 import { LoginConfigApiService } from '../../services/api/LoginConfigApiService';
+import { LoginConfig } from '../../services/core/CoreLoginConfigService';
 
 @Controller('api/login/config')
 export class LoginConfigApiController {
@@ -18,7 +19,7 @@ export class LoginConfigApiController {
    */
   @Get('info')
   @Public()
-  async getInfo(@Query() query: any) {
+  async getInfo(@Query() query: any): Promise<LoginConfig> {
     return this.loginConfigApiService.getInfo(query);
   }
 
diff --git a/wwjcloud/src/common/auth/dto/admin/LoginConfigDto.ts b/wwjcloud/src/common/auth/dto/admin/LoginConfigDto.ts
index 281e65f..e5d7dc0 100644
--- a/wwjcloud/src/common/auth/dto/admin/LoginConfigDto.ts
+++ b/wwjcloud/src/common/auth/dto/admin/LoginConfigDto.ts
@@ -48,4 +48,26 @@ export class LoginConfigDto {
     lockoutDuration?: number;
     lockoutType?: string;
   };
+
+  // PHP 特有字段
+  @ApiProperty({ description: '是否启用授权注册', required: false })
+  @IsOptional()
+  isAuthRegister?: boolean;
+
+  @ApiProperty({ description: '是否强制获取用户信息', required: false })
+  @IsOptional()
+  isForceAccessUserInfo?: boolean;
+
+  @ApiProperty({ description: '是否绑定手机号', required: false })
+  @IsOptional()
+  isBindMobile?: boolean;
+
+  @ApiProperty({ description: '是否显示协议', required: false })
+  @IsOptional()
+  agreementShow?: boolean;
+
+  @ApiProperty({ description: '描述信息', required: false })
+  @IsOptional()
+  @IsString()
+  desc?: string;
 }
diff --git a/wwjcloud/src/common/auth/services/admin/LoginConfigService.ts b/wwjcloud/src/common/auth/services/admin/LoginConfigService.ts
index 8e0a56d..4d61012 100644
--- a/wwjcloud/src/common/auth/services/admin/LoginConfigService.ts
+++ b/wwjcloud/src/common/auth/services/admin/LoginConfigService.ts
@@ -1,16 +1,16 @@
 import { Injectable } from '@nestjs/common';
-import { CoreLoginConfigService } from '../core/CoreLoginConfigService';
+import { CoreLoginConfigService, LoginConfig } from '../core/CoreLoginConfigService';
 import { LoginConfigDto } from '../../dto/admin/LoginConfigDto';
 
 @Injectable()
 export class LoginConfigService {
   constructor(private readonly coreLoginConfig: CoreLoginConfigService) {}
 
-  async getConfig() {
-    return await this.coreLoginConfig.getConfig();
+  async getConfig(siteId: number): Promise<LoginConfig> {
+    return await this.coreLoginConfig.getConfig(siteId);
   }
 
-  async setConfig(dto: LoginConfigDto) {
-    return await this.coreLoginConfig.setConfig(dto);
+  async setConfig(dto: LoginConfigDto, siteId: number) {
+    return await this.coreLoginConfig.setConfig(dto, siteId);
   }
 }
diff --git a/wwjcloud/src/common/auth/services/api/LoginConfigApiService.ts b/wwjcloud/src/common/auth/services/api/LoginConfigApiService.ts
index a93c89c..5c55b92 100644
--- a/wwjcloud/src/common/auth/services/api/LoginConfigApiService.ts
+++ b/wwjcloud/src/common/auth/services/api/LoginConfigApiService.ts
@@ -1,4 +1,4 @@
-import { Injectable } from '@nestjs/common';
+import { Injectable, UnauthorizedException } from '@nestjs/common';
 import { CoreLoginConfigService } from '../core/CoreLoginConfigService';
 
 @Injectable()
@@ -9,35 +9,55 @@ export class LoginConfigApiService {
    * 获取登录配置
    */
   async getInfo(query: any) {
-    return this.coreLoginConfigService.getInfo(query);
+    const siteId = query.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
+    return this.coreLoginConfigService.getInfo(siteId, query);
   }
 
   /**
    * 获取登录方式
    */
   async getMethods(query: any) {
-    return this.coreLoginConfigService.getMethods(query);
+    const siteId = query.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
+    return this.coreLoginConfigService.getMethods(siteId, query);
   }
 
   /**
    * 获取验证码配置
    */
   async getCaptchaConfig(query: any) {
-    return this.coreLoginConfigService.getCaptchaConfig(query);
+    const siteId = query.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
+    return this.coreLoginConfigService.getCaptchaConfig(siteId, query);
   }
 
   /**
    * 获取第三方登录配置
    */
   async getThirdPartyConfig(query: any) {
-    return this.coreLoginConfigService.getThirdPartyConfig(query);
+    const siteId = query.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
+    return this.coreLoginConfigService.getThirdPartyConfig(siteId, query);
   }
 
   /**
    * 获取注册配置
    */
   async getRegisterConfig(query: any) {
-    return this.coreLoginConfigService.getRegisterConfig(query);
+    const siteId = query.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
+    return this.coreLoginConfigService.getRegisterConfig(siteId, query);
   }
 
   /**
diff --git a/wwjcloud/src/common/auth/services/core/CoreAuthService.ts b/wwjcloud/src/common/auth/services/core/CoreAuthService.ts
index af97729..da09744 100644
--- a/wwjcloud/src/common/auth/services/core/CoreAuthService.ts
+++ b/wwjcloud/src/common/auth/services/core/CoreAuthService.ts
@@ -1,26 +1,23 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository } from 'typeorm';
-import { BaseService } from '@wwjCore/base/BaseService';
 import { SysUser } from '../../../admin/entities/SysUser';
 import * as bcrypt from 'bcrypt';
 import * as crypto from 'crypto';
 
 @Injectable()
-export class CoreAuthService extends BaseService<SysUser> {
+export class CoreAuthService {
   constructor(
     @InjectRepository(SysUser)
-    private userRepository: Repository<SysUser>,
-  ) {
-    super(userRepository);
-  }
+    private readonly userRepository: Repository<SysUser>,
+  ) {}
 
   /**
    * 验证用户凭据
    */
   async validateUser(username: string, password: string, site_id: number) {
     const user = await this.userRepository.findOne({
-      where: { username, site_id, status: 1 },
+      where: { username, status: 1 },
     });
 
     if (!user) {
@@ -49,7 +46,7 @@ export class CoreAuthService extends BaseService<SysUser> {
    */
   async checkUserExists(username: string, site_id: number) {
     const user = await this.userRepository.findOne({
-      where: { username, site_id },
+      where: { username },
     });
     return !!user;
   }
@@ -60,15 +57,20 @@ export class CoreAuthService extends BaseService<SysUser> {
   async createUser(userData: any) {
     const hashedPassword = await bcrypt.hash(userData.password, 10);
     
-    const user = this.userRepository.create({
+    const userDataWithHash = {
       ...userData,
       password: hashedPassword,
       status: 1,
-      create_time: Math.floor(Date.now() / 1000),
-    });
+    };
 
-    const saved = await this.userRepository.save(user);
-    return Array.isArray(saved) ? saved[0] : saved;
+    const user = this.userRepository.create({
+      ...userDataWithHash,
+      create_time: Math.floor(Date.now() / 1000),
+      update_time: Math.floor(Date.now() / 1000),
+      is_del: 0,
+      delete_time: 0,
+    } as any);
+    return await this.userRepository.save(user as any);
   }
 
   /**
diff --git a/wwjcloud/src/common/auth/services/core/CoreCaptchaService.ts b/wwjcloud/src/common/auth/services/core/CoreCaptchaService.ts
index d006fb6..3b33e1e 100644
--- a/wwjcloud/src/common/auth/services/core/CoreCaptchaService.ts
+++ b/wwjcloud/src/common/auth/services/core/CoreCaptchaService.ts
@@ -1,17 +1,26 @@
 import { Injectable } from '@nestjs/common';
+import { RedisProvider } from '../../../../vendor/redis/redis.provider';
 import { CaptchaCreateDto, CaptchaCheckDto, CaptchaVerificationDto } from '../../dto/admin/CaptchaDto';
 
 @Injectable()
 export class CoreCaptchaService {
-  constructor() {}
+  private readonly CAPTCHA_PREFIX = 'captcha:';
+  private readonly CAPTCHA_TTL_SECONDS = 300; // 5 min
+
+  constructor(private readonly redisProvider: RedisProvider) {}
 
   async create(dto: CaptchaCreateDto) {
     // 对齐 PHP: CaptchaService->create()
     const captchaId = this.generateCaptchaId();
     const captchaValue = this.generateCaptchaValue(dto.length || 4);
     
-    // TODO: 生成验证码图片并存储
-    // const captchaImage = await this.generateCaptchaImage(captchaValue, dto);
+    // 持久化到 Redis
+    const client = this.redisProvider.getClient();
+    await client.setex(
+      `${this.CAPTCHA_PREFIX}${captchaId}`,
+      this.CAPTCHA_TTL_SECONDS,
+      captchaValue,
+    );
     
     return {
       captchaId,
@@ -23,7 +32,6 @@ export class CoreCaptchaService {
 
   async check(dto: CaptchaCheckDto) {
     // 对齐 PHP: CaptchaService->check()
-    // TODO: 从缓存或数据库验证验证码
     const isValid = await this.validateCaptcha(dto.captchaId, dto.captchaValue);
     
     if (!isValid) {
@@ -35,7 +43,6 @@ export class CoreCaptchaService {
 
   async verification(dto: CaptchaVerificationDto) {
     // 对齐 PHP: CaptchaService->verification()
-    // TODO: 二次验证逻辑，可能包括短信验证、邮箱验证等
     const isValid = await this.validateCaptcha(dto.captchaId, dto.captchaValue);
     
     if (!isValid) {
@@ -71,14 +78,20 @@ export class CoreCaptchaService {
   }
 
   private async validateCaptcha(captchaId: string, captchaValue: string): Promise<boolean> {
-    // TODO: 从Redis或数据库验证验证码
-    // 临时实现
-    return captchaValue.length >= 4;
+    const client = this.redisProvider.getClient();
+    const key = `${this.CAPTCHA_PREFIX}${captchaId}`;
+    const stored = await client.get(key);
+    if (!stored) return false;
+    const ok = stored.toLowerCase() === (captchaValue || '').toLowerCase();
+    if (ok) {
+      // 一次性验证码：校验成功后删除
+      await client.del(key);
+    }
+    return ok;
   }
 
   private async performSecondVerification(params?: Record<string, any>): Promise<boolean> {
-    // TODO: 实现二次验证逻辑
-    // 可能包括短信验证、邮箱验证、人脸识别等
+    // 可以在此扩展短信/邮箱等二次校验
     return true;
   }
 }
